SLGETI(3NCARG)

NAME
SLGETI - Gets the current integer value of an internal parameter of Scrolled_title of type INTEGER or REAL. See the scrolled_title_params man page for a complete list of all the Scrolled_title internal parameters.

SYNOPSIS
CALL SLGETI (PNAM,IVAL)

C-BINDING SYNOPSIS
#include <ncarg/ncargC.h>

void c_slgeti (char *pnam, int *ival)

DESCRIPTION

PNAM
    (an input constant or variable of type CHARACTER) specifies the name of the parameter whose value is to be retrieved. Only the first three characters of the string are examined.

IVAL
    (an output variable of type INTEGER) is the current value of the internal parameter. If the internal parameter is of type INTEGER and has the value "i", IVAL = i. If the internal parameter is of type REAL and has the value "r", IVAL = INT(r).

C-BINDING DESCRIPTION
The C-binding argument descriptions are the same as the FORTRAN argument descriptions.

USAGE
This routine allows you to retrieve the current value of Scrolled_title parameters. For a complete list of parameters available in this utility, see the scrolled_title_params man page.

ACCESS
To use SLGETI or c_slgeti, load the NCAR Graphics libraries ncarg, ncarg_gks, ncarg_c, and ncarg_c, preferably in that order.

MESSAGES
See the scrolled_title man page for a description of all Scrolled_title error messages and/or informational messages.

SEE ALSO
Online: ftitle, scrolled_title, scrolled_title_params, slgetr, slogap, slrset, slseti, slsetr, stitle, ncarg_cbind.

Hardcopy: NCAR Graphics Fundamentals, UNIX Version; User's Guide for NCAR GKS-0A Graphics

COPYRIGHT
Copyright (C) 1987-2009
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.